## emacs24-non-dfsg 24.1+1

=== debian/changelog ===
emacs24-non-dfsg (24.1+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.1.

  * Update debian/.gitignore for emacs24.

  * Update debian control, copyright, etc. for emacs24.

  * Update debian control and compat for debhelper 9.

  * Clean up debian/rules, and update it for emacs24.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 24 Jun 2012 21:35:06 -0500

emacs23-non-dfsg (23.4+1-1) unstable; urgency=low

  * Upgrade to upstream version 23.4.

  * Update debian/* for Emacs 23.4.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 20 Mar 2012 20:23:53 -0500

emacs23-non-dfsg (23.3+1-1) unstable; urgency=low

  * Incorporate new upstream version 23.3.

  * Adjust emacsVER-common.README to accommodate new patch headers.
    Add debian/patch-to-news to handle converting new git-dpm style
    patch headers to emacsVER-common.README.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 10 Apr 2011 12:21:08 -0500

emacs23-non-dfsg (23.2+1-1) unstable; urgency=low

  * New emacs23 packages.

  * Change debian/rules to use "dh $@" approach.

  * Update debian/compat from 4 to 7.

  * Remove debian/emacs-common-non-dfsg.prerm and
    debian/emacs-common-non-dfsg.postinst.

  * Update doc/misc/Makefile.in to report INFO_TARGETS for use in rules.

  * Switch to Debian 3.0 (quilt) source format.

  * Add dependency on "dpkg (>= 1.15.4) | install-info".

  * Change debian/copyright.in to refer to GPL-3.

  * Add lintian override for usr/share/emacs/23.2/etc/copying.paper which
    is not a license.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 11 May 2010 00:08:54 -0700

emacs23-non-dfsg (23.1+1-1) unstable; urgency=low

  * New emacs23 packages.

  * Patches have been removed or adjusted.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 01 Aug 2009 13:19:40 -0700

emacs22-non-dfsg (22.3+1-1) unstable; urgency=low

  * New upstream release.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 31 Mar 2009 00:28:02 -0700

emacs22-non-dfsg (22.2+2-1) unstable; urgency=low

  * Move mh-e.texi to emacs22-common because the license does appear to be
    DFSG compatible.  Thanks to Peter S Galbraith
    <psg@debian.org>. (closes: #433953)

  * Fix upstream archive name in debian/copyright.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 20 Apr 2008 14:09:57 -0700

emacs22-non-dfsg (22.2+1-2) unstable; urgency=low

  * Add Conflicts and Replaces emacs22-common (<< 22.2) to
    debian/control.in to handle move of dired-x.  Thanks to Sven Joachim
    <svenjoac@gmx.de>.  (closes: #475519)

  * Use "tail -n +N" rather than "tail +N" in debian/rules.  Thanks to
    John Zaitseff <J.Zaitseff@zap.org.au>.  (closes: #467525)

  * Fix quilt invocation to create README.Debian correctly.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 13 Apr 2008 16:35:04 -0700

emacs22-non-dfsg (22.2+1-1) unstable; urgency=low

  * New upstream release.

  * Move dired-x.texi to this package since the license has changed.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 10 Apr 2008 18:57:47 -0700

emacs22-non-dfsg (22.1+1-1) unstable; urgency=low

  * New upstream release. [rlb]

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 06 Jul 2007 20:41:10 -0700

emacs22-non-dfsg (22.0.99+1-1) experimental; urgency=low

  * Update to 22.0.99.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 13 May 2007 11:26:42 -0700

emacs22-non-dfsg (22.0.95+1-1) unstable; urgency=low

  * New emacs22 packages.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 15 Apr 2007 16:32:16 -0700

emacs21-non-dfsg (21.4a+1-1) unstable; urgency=low

  * New package: in accordance with the recent General Resolution
    (http://www.debian.org/vote/2006/vote_001), move all non-DFSG files to
    new packages that will be included in Debian's non-free section.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 28 Jul 2006 22:37:16 -0700

Local Variables:
coding: utf-8
End:
