## emacs24-non-dfsg 24.2+1

=== debian/changelog ===
emacs24-non-dfsg (24.2+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.2 and update debian/patches.

  * Have debian/% depend on debian/rules since it now sets the
    upstream_ver.

  * Update debian/rules upstream_ver to 24.2 and run "debian/rules
    debian-sync".

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Sep 2012 13:12:36 -0500
