=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # the values below will have to be set manually.
 
 # The official upstream version defined by AC_INIT in configure.in.
-upstream_ver := 24.1
+upstream_ver := 24.2
 
 # This must be the version that's actually used at runtime for things
 # like load-path.  Historically, it's only differed from upstream_ver
@@ -117,7 +117,7 @@
 	  >> debian/emacs-common-non-dfsg.README.tmp
 	mv debian/emacs-common-non-dfsg.README.tmp $@
 
-debian/%: debian/%.in debian/changelog
+debian/%: debian/%.in debian/changelog debian/rules
 	$(call deb_sub,$(notdir $<),$(notdir $@))
 
 define gen_makefile
