## emacs24-non-dfsg 24.3+1

=== debian/changelog ===
emacs24-non-dfsg (24.3+1-1) unstable; urgency=low

  * Upgrade to upstream version 24.3 and update debian/copyright,
    debian/patches, and debian/rules appropriately.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 13 Apr 2013 12:43:18 -0500
