=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # the values below will have to be set manually.
 
 # The official upstream version defined by AC_INIT in configure.in.
-upstream_ver := 24.2
+upstream_ver := 24.3
 
 # This must be the version that's actually used at runtime for things
 # like load-path.  Historically, it's only differed from upstream_ver
@@ -127,6 +127,9 @@
     -e "s|\@srcdir\@|$(CURDIR)/$1|go;" \
     -e "s|\@VPATH\@|$(CURDIR)/$1|go;" \
     -e "s|\@MAKEINFO\@|makeinfo|go;" \
+    -e "s|\@MKDIR_P\@|mkdir -p|go;" \
+    -e "s|\@INFO_OPTS\@|--no-split|go;" \
+    -e "s|\@INFO_EXT\@|.info|go;" \
     < $1/Makefile.in > $1/Makefile
 endef
 
@@ -163,20 +166,20 @@
         # Mangle info menu entries for subdir.
 	chmod 755 debian/mangle-info
 	DEBIAN_INFO_PREFIX=emacs-$(major_ver) \
-	  debian/mangle-info $(pkg_infodir)/eintr
+	  debian/mangle-info $(pkg_infodir)/eintr.info
 	DEBIAN_INFO_PREFIX=emacs-$(major_ver) \
-	  debian/mangle-info $(pkg_infodir)/emacs
+	  debian/mangle-info $(pkg_infodir)/emacs.info
 	DEBIAN_INFO_PREFIX=emacs-$(major_ver) \
-	  debian/mangle-info $(pkg_infodir)/elisp
+	  debian/mangle-info $(pkg_infodir)/elisp.info
         # Handle doc/misc files.
 	set -e; \
 	set -x; \
 	for f in $$(make -f doc/misc/Makefile -f debian/makefile-bit-doc-misc \
 	              echo-info-targets \
-	            | grep INFO_TARGETS= | cut -b 14- | xargs -n 1 basename); \
+	            | grep INFO_TARGETS= | cut -b 14-); \
 	do \
 	  DEBIAN_INFO_PREFIX=emacs-$(major_ver) \
-	    debian/mangle-info $(pkg_infodir)/$$f; \
+	    debian/mangle-info $(pkg_infodir)/$${f%.info}.info; \
 	done
 
 	install -d $(pkgdir_common)/usr/share/lintian/overrides
