## emacs24-non-dfsg 24.4%2B1

=== debian/changelog ===
emacs24-non-dfsg (24.4+1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 25 Oct 2014 14:48:45 -0500

emacs24-non-dfsg (24.4+1-1) experimental; urgency=medium

  * Upgrade to upstream version 24.4.

  * Update debian/* for 24.4

  * Fix patch-to-news: notice error; correct path.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 24 Oct 2014 11:37:52 -0500
