=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # the values below will have to be set manually.
 
 # The official upstream version defined by AC_INIT in configure.in.
-upstream_ver := 24.3
+upstream_ver := 24.4
 
 # This must be the version that's actually used at runtime for things
 # like load-path.  Historically, it's only differed from upstream_ver
@@ -108,9 +108,9 @@
 	cp debian/emacs-common-non-dfsg.README.00 \
 	  debian/emacs-common-non-dfsg.README.tmp
 	for p in $$($(quilt) series); do \
-	  debian/patch-to-news debian/patches/$$p \
-	    >> debian/emacs-common-non-dfsg.README.tmp; \
-	  echo >> debian/emacs-common-non-dfsg.README.tmp; \
+	  debian/patch-to-news "$$p" \
+	    >> debian/emacs-common-non-dfsg.README.tmp \
+	  && echo >> debian/emacs-common-non-dfsg.README.tmp; \
 	done
 	tail -n +2 \
 	  < debian/emacs-common-non-dfsg.README.01 \
